package repo

import (
	"context"
	"voucher/internal/biz/bo"
)

type OrderRepo interface {
	GetByOutBizNo(ctx context.Context, outBizNo string) (*bo.OrderBo, error)
	GetByOrderNo(ctx context.Context, orderNo string) (*bo.OrderBo, error)
	Create(ctx context.Context, req *bo.OrderBo) (*bo.OrderBo, error)
	GetByID(ctx context.Context, id uint64) (*bo.OrderBo, error)
	Ing(ctx context.Context, id uint64) error
	Success(ctx context.Context, id uint64) error
	Fail(ctx context.Context, id uint64) error
}
